%global packname  tidyverse
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          2.0.0
Release:          2%{?dist}
Summary:          Easily Install and Load the 'Tidyverse'

License:          MIT + file LICENSE
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-broom >= 1.0.3, R-conflicted >= 1.2.0, R-cli >= 3.6.0, R-dbplyr >= 2.3.0, R-dplyr >= 1.1.0, R-dtplyr >= 1.2.2, R-forcats >= 1.0.0, R-ggplot2 >= 3.4.1, R-googledrive >= 2.0.0, R-googlesheets4 >= 1.0.1, R-haven >= 2.5.1, R-hms >= 1.1.2, R-httr >= 1.4.4, R-jsonlite >= 1.8.4, R-lubridate >= 1.9.2, R-magrittr >= 2.0.3, R-modelr >= 0.1.10, R-pillar >= 1.8.1, R-purrr >= 1.0.1, R-ragg >= 1.2.5, R-readr >= 2.1.4, R-readxl >= 1.4.2, R-reprex >= 2.0.2, R-rlang >= 1.0.6, R-rstudioapi >= 0.14, R-rvest >= 1.0.3, R-stringr >= 1.5.0, R-tibble >= 3.1.8, R-tidyr >= 1.3.0, R-xml2 >= 1.3.3
# Suggests:  R-covr >= 3.6.1, R-feather >= 0.3.5, R-glue >= 1.6.2, R-mockr >= 0.2.0, R-knitr >= 1.41, R-rmarkdown >= 2.20, R-testthat >= 3.1.6
# LinkingTo:
# Enhances:

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-broom >= 1.0.3
BuildRequires:    R-conflicted >= 1.2.0
BuildRequires:    R-cli >= 3.6.0
BuildRequires:    R-dbplyr >= 2.3.0
BuildRequires:    R-dplyr >= 1.1.0
BuildRequires:    R-dtplyr >= 1.2.2
BuildRequires:    R-forcats >= 1.0.0
BuildRequires:    R-ggplot2 >= 3.4.1
BuildRequires:    R-googledrive >= 2.0.0
BuildRequires:    R-googlesheets4 >= 1.0.1
BuildRequires:    R-haven >= 2.5.1
BuildRequires:    R-hms >= 1.1.2
BuildRequires:    R-httr >= 1.4.4
BuildRequires:    R-jsonlite >= 1.8.4
BuildRequires:    R-lubridate >= 1.9.2
BuildRequires:    R-magrittr >= 2.0.3
BuildRequires:    R-modelr >= 0.1.10
BuildRequires:    R-pillar >= 1.8.1
BuildRequires:    R-purrr >= 1.0.1
BuildRequires:    R-ragg >= 1.2.5
BuildRequires:    R-readr >= 2.1.4
BuildRequires:    R-readxl >= 1.4.2
BuildRequires:    R-reprex >= 2.0.2
BuildRequires:    R-rlang >= 1.0.6
BuildRequires:    R-rstudioapi >= 0.14
BuildRequires:    R-rvest >= 1.0.3
BuildRequires:    R-stringr >= 1.5.0
BuildRequires:    R-tibble >= 3.1.8
BuildRequires:    R-tidyr >= 1.3.0
BuildRequires:    R-xml2 >= 1.3.3


%description
The 'tidyverse' is a set of packages that work in harmony because they
share common data representations and 'API' design. This package is
designed to make it easy to install and load multiple 'tidyverse' packages
in a single step. Learn more about the 'tidyverse' at
<https://www.tidyverse.org>.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%dir %{rlibdir}/%{packname}
%license %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help



%changelog
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 2.0.0-2
- trim build deps (don't include Suggests)
* Wed Oct 04 2023 Will Crawford <billcrawford1970@googlemail.com> - 2.0.0-1
- initial package for Fedora
